import request from '@/utils/request'

// 查询税务处罚-其他处罚列表
export function listPunishments(query) {
    return request({
        url: '/crmOtherPunishments/findByPage',
        method: 'get',
        params: query
    })
}

// 查询税务处罚-其他处罚详细
export function getPunishments(id) {
    return request({
        url: '/crmOtherPunishments/' + id,
        method: 'get'
    })
}

// 新增税务处罚-其他处罚
export function addPunishments(data) {
    return request({
        url: '/crmOtherPunishments',
        method: 'post',
        data: data
    })
}

// 修改税务处罚-其他处罚
export function updatePunishments(data) {
    return request({
        url: '/crmOtherPunishments',
        method: 'put',
        data: data
    })
}

// 删除税务处罚-其他处罚
export function delPunishments(id) {
    return request({
        url: '/crmOtherPunishments/deleteAll',
        method: 'delete'
    })
}
// 批量删除行政许可
export function delPunishmentsBatch(ids) {
    console.log(ids);
    return request.post('/crmOtherPunishments/delete',ids)
}